package it.inaf.oats.ia2.tap.tsm.datalayer;

import it.inaf.oats.ia2.tap.tsm.model.Credentials;
import java.sql.Connection;
import java.sql.SQLException;

/**
 *
 * @author Sonia Zorba <zorba at oats.inaf.it>
 */
public abstract class ConnectionManager {

    private final Credentials credentials;

    public ConnectionManager(Credentials credentials) {
        this.credentials = credentials;
    }

    public void connect() throws SQLException {
        Connection connection = null;
        try {
            connection = credentials.getConnection();
            use(connection);
        } catch (SQLException e) {
            throw e;
        } finally {
            if (connection != null) {
                connection.close();
            }
        }
    }

    public abstract void use(Connection connection) throws SQLException;
}
