package it.inaf.oats.ia2.tap.tsm.model;

import java.io.Serializable;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;

/**
 *
 * @author Sonia Zorba <zorba at oats.inaf.it>
 */
public class Credentials implements Serializable {

    private String hostname;
    private int port;
    private String username;
    private String password;

    public Credentials() {
        this.hostname = "localhost";
        this.port = 3306;
        this.username = "root";
    }

    public Credentials(String hostname, int port, String username, String password) {
        this.hostname = hostname;
        this.port = port;
        this.username = username;
        this.password = password;
    }

    public String getHostname() {
        return this.hostname;
    }

    public void setHostname(String hostname) {
        this.hostname = hostname;
    }

    public int getPort() {
        return this.port;
    }

    public void setPort(int port) {
        this.port = port;
    }

    public String getUsername() {
        return this.username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return this.password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public Connection getConnection() throws SQLException {
        try {
            Class.forName("com.mysql.jdbc.Driver");
        } catch (ClassNotFoundException e) {
            e.printStackTrace(System.err);
        }

        return DriverManager.getConnection(
                "jdbc:mysql://" + this.hostname + ":" + this.port + "/",
                this.username,
                this.password
        );
    }
}
