package it.inaf.oats.ia2.tap.tsm.model;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author pietro
 */
public class Key implements Serializable {

    private String keyId;
    private final String fromTable;
    private final String targetTable;
    private String utype;
    private String description;
    private final ArrayList<KeyColumn> keyColumns;

    public Key(String fromTable, String targetTable) {
        this.fromTable = fromTable;
        this.targetTable = targetTable;
        this.keyColumns = new ArrayList<KeyColumn>();
    }

    public void addKeyColumn(String fromColumn, String targetColumn) {
        keyColumns.add(new KeyColumn(fromColumn, targetColumn));
    }

    public void setKeyId(String keyId) {
        this.keyId = keyId;
    }

    public void setUtype(String utype) {
        this.utype = utype;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getFromTable() {
        return fromTable;
    }

    public String getTargetTable() {
        return targetTable;
    }

    public boolean hasFromKeyColumn(String keyColumnName) {
        for (KeyColumn keyColumn : keyColumns) {
            if (keyColumn.getFromColumn().equals(keyColumnName)) {
                return true;
            }
        }
        return false;
    }

    public List<KeyColumn> getKeyColumns() {
        return keyColumns;
    }
}
