<%-- 
    Document   : index.jsp
    Created on : Dec 10, 2015, 3:14:39 PM
    Author     : Sonia Zorba <zorba at oats.inaf.it>
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@taglib prefix="t" tagdir="/WEB-INF/tags" %>

<t:basepage title="Test">

    <h1>Title</h1>

    <div class="vpadding">
        <button class="btn btn-success" id="updateBtn">Update</button>
    </div>
    
    
    <ul class="nav nav-tabs" id="schemas" role="tablist">
        <t:tab selector="tapSchema"></t:tab>
            <li>
                <a role="tab" class="plus-tab" data-open-addables="tapSchema">
                    <span class="glyphicon glyphicon-plus-sign"></span>
                </a>
            </li>
        </ul>

        <div role="tabpanel" class="tab-content" id="schemaWrapper">

            <div id="schemaToRemoveAlert" class="col-xs-12 vpadding">
                <div class="alert alert-info clearfix">
                    <span class="glyphicon glyphicon-info-sign"></span>
                    This schema will be removed on TAP Schema Update.
                    <button class="btn btn-primary pull-right" data-undo-remove="tapSchema">Undo</button>
                </div>
            </div>
            <div id="schemaContent">
                <div class="schema-info clearfix">
                    <div class="form-horizontal" id="schemaValues">
                        <div class="form-group">
                            <label for="schema-utype" class="col-sm-2 control-label">Schema utype</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" data-edit="schema.utype" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="schema-description" class="col-sm-2 control-label">Schema description</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" data-edit="schema.description" />
                            </div>
                        </div>
                    </div>
                </div>

                <ul class="nav nav-tabs" id="tables" role="tablist">
                <t:tab selector="schema"></t:tab>
                    <li>
                        <a role="tab" class="plus-tab" data-open-addables="schema">
                            <span class="glyphicon glyphicon-plus-sign"></span>
                        </a>
                    </li>
                </ul>

                <div role="tabpanel" id="tableWrapper">

                    <div id="tableToRemoveAlert" class="col-xs-12 vpadding">
                        <div class="alert alert-info clearfix">
                            <span class="glyphicon glyphicon-info-sign"></span>
                            This table will be removed on TAP Schema Update.
                            <button class="btn btn-primary pull-right" data-undo-remove="schema">Undo</button>
                        </div>
                    </div>

                    <div id="tableContent">

                        <div class="table-info clearfix">
                            <div class="form-horizontal" id="tableValues">
                                <div class="form-group">
                                    <label for="schema-utype" class="col-sm-2 control-label">Table utype</label>
                                    <div class="col-sm-10">
                                        <input type="text" class="form-control" data-edit="table.utype" />
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="schema-description" class="col-sm-2 control-label">Table description</label>
                                    <div class="col-sm-10">
                                        <input type="text" class="form-control" data-edit="table.description" />
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div>
                            <div class="columns-header">
                                <div class="columns-header-name">
                                    Columns&nbsp;
                                    <button class="btn btn-success" data-open-addables="table">
                                        <span class="glyphicon glyphicon-plus-sign"></span>
                                    </button>
                                </div>
                                <div class="columns-header-properties">
                                    Column properties
                                    <span class="icon-key text-danger" title="Primary key" id="primaryKeyIcon"></span>
                                    <span class="icon-key text-success" title="Foreign key" id="foreignKeyIcon"></span>
                                </div>
                            </div>
                            <div class="columns-wrapper">
                                <div class="columns-selector">
                                    <ul class="nav nav-pills" id="columns">
                                        <li role="presentation">
                                            <a data-selector="table">
                                                <button class="btn btn-link">
                                                    <span class="glyphicon glyphicon-remove-sign" data-remover></span>
                                                </button>
                                                <span class="entityName"></span>
                                            </a>
                                        </li>
                                    </ul>
                                </div>
                                <div class="column-info" id="columnWrapper">

                                    <div id="columnToRemoveAlert">
                                        <div class="alert alert-info clearfix">
                                            <span class="glyphicon glyphicon-info-sign"></span>
                                            This column will be removed on TAP Schema Update.
                                            <button class="btn btn-primary pull-right" data-undo-remove="table">Undo</button>
                                        </div>
                                    </div>

                                    <div id="columnContent">
                                        <div id="columnValues">
                                            <div class="form-group">
                                                <label for="utype" class="control-label">UType:</label>
                                                <input type="text" id="utype" name="utype" class="form-control" data-edit="column.utype" />
                                            </div>
                                            <div class="form-group">
                                                <label for="ucd" class="control-label">UCD:</label>
                                                <input type="text" id="ucd" name="ucd" class="form-control clickable-input" data-edit="column.ucd" />
                                            </div>
                                            <div class="form-group">
                                                <label for="unit" class="control-label">Unit:</label>
                                                <input type="text" id="unit" name="unit" class="form-control" data-edit="column.unit" />
                                            </div>
                                            <div class="form-group">
                                                <label for="description" class="control-label">Description:</label>
                                                <input type="text" id="description" name="description" class="form-control" data-edit="column.description" />
                                            </div>
                                            <div class="form-group">
                                                <label for="datatype" class="control-label">Datatype:</label>
                                                <input type="text" id="datatype" name="datatype" class="form-control" data-edit="column.datatype" />
                                            </div>
                                            <div class="form-group">
                                                <label for="size" class="control-label">Size</label>
                                                <input type="number" id="size" name="size" class="form-control" />
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>

                </div>
            </div>
        </div>

        <div class="modal fade" tabindex="-1" role="dialog" id="addablesModal">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <div class="pull-right">
                            <button class="btn btn-default btn-sm">
                                <span class="glyphicon glyphicon-remove"></span>
                                Deselect all
                            </button>
                        </div>
                        <div class="hpadding pull-right">
                            <button class="btn btn-default btn-sm">
                                <span class="glyphicon glyphicon-ok"></span>
                                Select all
                            </button>
                        </div>  
                        <h4 class="modal-title" wicket:id="modalTitle">Add</h4>
                    </div>
                    <div class="modal-body">
                        <div class="clearfix">                              
                        </div>
                        <div class="addables">
                            <div class="checkbox">
                                <label>
                                    <input type="checkbox" />
                                    <span class="addablesName"></span>
                                </label>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                        <button type="button" class="btn btn-primary" id="addEntitiesBtn">Add</button>
                    </div>
                </div>
            </div>
        </div>

        <div class="modal fade" tabindex="-1" role="dialog" id="searchUCDModal">
            <div class="modal-dialog">
                <div class="modal-content" id="searchUCDModalContent">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                        <h4 class="modal-title">UCD Search Dialog</h4>
                    </div>
                    <div class="modal-body">
                        <div>
                            <div class="form-group">
                                <label for="ucdDialogDescription" class="control-label">Description:</label>
                                <div class="input-group">
                                    <input type="text" id="searchUCDDescription" class="form-control" />
                                    <span class="input-group-btn">
                                        <button class="btn btn-default" type="button" id="searchUDCBtn">
                                            <span class="glyphicon glyphicon-search"></span>
                                        </button>
                                    </span>
                                </div>
                            </div>
                            <div id="UCDnotFoundAlert">
                                <div class="alert alert-danger" role="alert">
                                    No UCD found for this description!
                                </div>
                            </div>
                            <div id="selectedUCD">
                                <div class="alert alert-info" role="alert">
                                    <strong>Selected UCD:</strong>
                                    <span></span>
                                </div>
                            </div>
                            <div class="form-group" id="suggestedUCD">
                                <label class="control-label">Suggested complete UCD:</label>
                                <button class="btn-default text-left form-control" type="button" id="suggestedUCDBtn"></button>
                            </div>

                            <br/>
                            <div class="vpadding" id="suggestedUCDs">
                                <label class="control-label">Other suggested UCD:</label>
                                <div class="ucdInfo">
                                    <div class="input-group">
                                        <span class="input-group-addon resultScore"></span>
                                        <span class="input-group-addon resultFlag"></span>

                                        <button type="text" class="form-control text-left btn-default selectUCD">
                                            <span class="resultWord">word</span>
                                        </button>

                                        <span class="input-group-btn">
                                            <button class="btn btn-default findDefinitionBtn explainUCD" type="button">
                                                <span class="glyphicon glyphicon-question-sign"></span>
                                            </button>
                                        </span>
                                    </div>
                                    <div class="resultDefinition hide">
                                        <span class="help-block">Definition</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                        <button type="button" class="btn btn-primary" id="ucdDialogSaveBtn">Save changes</button>
                    </div>
                </div>
            </div>
        </div>

</t:basepage>
