package it.inaf.oats.ia2.tap.utils;

import it.inaf.oats.ia2.tap.utils.model.Credentials;
import it.inaf.oats.ia2.tap.utils.model.TapSchema;
import java.sql.Connection;
import java.sql.SQLException;
import org.apache.wicket.Page;
import org.apache.wicket.markup.html.SecurePackageResourceGuard;
import org.apache.wicket.protocol.http.WebApplication;
import org.apache.wicket.request.resource.JavaScriptResourceReference;
import org.apache.wicket.response.filter.ServerAndClientTimeFilter;

/**
 *
 * @author pietro
 */
public class Application extends WebApplication {

    private static final JavaScriptResourceReference JQUERY_REF = new JavaScriptResourceReference(BasePage.class, "js/jquery-1.11.3.min.js");

    /**
     * Constructor.
     */
    public Application() {
    }

    /**
     * @see org.apache.wicket.protocol.http.WebApplication#init()
     */
    @Override
    protected void init() {
        getDebugSettings().setDevelopmentUtilitiesEnabled(true);

        getRequestCycleSettings().addResponseFilter(new ServerAndClientTimeFilter());

        // Setting custom jQuery reference
        getJavaScriptLibrarySettings().setJQueryReference(JQUERY_REF);

        // Add permission to load font files
        ((SecurePackageResourceGuard) getResourceSettings().getPackageResourceGuard())
                .addPattern("+glyphicons-halflings-regular.*");
    }

    /**
     * @see org.apache.wicket.Application#getHomePage()
     */
    @Override
    public Class<? extends Page> getHomePage() {
        
        return HomeTest.class;
        //return CredentialPage.class;
    }
}
