/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package it.inaf.oats.ia2.tap.utils;

import it.inaf.oats.ia2.tap.utils.panel.TablePanelOld;
import it.inaf.oats.ia2.tap.utils.model.Credentials;
import it.inaf.oats.ia2.tap.utils.model.Column;
import it.inaf.oats.ia2.tap.utils.model.Schema;
import it.inaf.oats.ia2.tap.utils.model.Table;
import java.util.List;
import org.apache.wicket.extensions.markup.html.tabs.AbstractTab;
import org.apache.wicket.markup.html.panel.Panel;
import org.apache.wicket.model.Model;

/**
 * TableTab class extends AbstractTab class.
 * TableTab class gets the current TablePanel.
 * 
 * @author pietro
 */
public class TableTab extends AbstractTab{
    
    final TablePanelOld tablePanel;
    
    /**
     * TableTab constructor
     * 
     * @param rowsList rows list to populate "rows" DataGridView in TablePanel
     * @param credential
     * @param tapschemaName
     * @param schema current schema structure
     * @param table current table structure
     */
    public TableTab(
            List<Row> rowsList,
            final Credentials credential,
            final String tapschemaName,
            Schema schema,
            Table table)
    {
        super(new Model<String>(table.getName()));
        
        String panelId = "panel";
        
        tablePanel = new TablePanelOld(
                panelId,
                rowsList,
                credential,
                tapschemaName,
                schema,
                table);
        tablePanel.setOutputMarkupPlaceholderTag(true);
    }
    
    @Override
    public Panel getPanel(String panelId)
    {
        return tablePanel;
    }
    
}
